from marshmallow import Schema, fields, post_load, validates, ValidationError

class ZoneSchema(Schema):
    zone_name = fields.String(required=True)
    site_id = fields.Integer(required=True)
    x_min = fields.String(required=True)
    y_min = fields.String(required=True)
    x_max = fields.String(required=True)
    y_max = fields.String(required=True)
    @validates("zone_name")
    def required_zone_name(self, value):
        if not value:
            raise ValidationError("The Zone Name field is required")
    @post_load
    def make_user(self, data, **kwargs):
        return data
zone_schema = ZoneSchema()
zones_schemas = ZoneSchema(many=True)
